<?php
require_once(__DIR__ . '/../Class/class.newFiche.php');

$typeUser = $_SESSION['uType']; //visiteur ou comptable
//$typeUser = 'comptable';//$_SESSION['uType']; //visiteur ou comptable
$userId = $_SESSION['uId']; //exemple: 'b34'

/**
 * Gestion de la date selon la vue à afficher
 */
if (isset($_GET['currentList'])) {
    //Date des req SQL et function
    $date = date('Ym');

    //Date du header en français
    try {
        //sudo timedatectl set-local-rtc 1
        $format = new IntlDateFormatter(
            'fr_FR',
            IntlDateFormatter::FULL,
            IntlDateFormatter::FULL,
            'Europe/Paris',
            IntlDateFormatter::GREGORIAN,
            'MMMM Y'
        );
        $dateHeader = $format->format(time());

    } catch (\Throwable $th) {
        $dateHeader = date('F Y');
    }

    //Date du formulaire HF
    $dateFormHFMin = date('Y-m-\01');
    $dateFormHFMax = date("Y-m-t", mktime(0, 0, 0, date('m'), 1, date('Y'))); // retourne le dernier jour du mois (30 ou 31)

} elseif (isset($_GET['dateListing'])) {
    $date = $_GET['dateListing'];
}

$date = '202312'; //TESTVAR

//Instance de l'objet newFiche qui gère toute la partie bdd
$newFiche = new Class_newFiche($pdo, $userId, $date);

/**
 * Liste des frais forfaitaires du mois et de l'user :: sinon afficher les libelle
 */
$listeFraisForfaitaire = $newFiche->listFraisForfaitForU();
if (count($listeFraisForfaitaire) == 0) {
    $listeFraisForfaitaire = $newFiche->listFraisForfaitaires();
}

/**
 * Listes des frais HF
 */
$listeFraisHf = $newFiche->listFraisHF();

/**
 * TOTAL DE LA FICHE
 */
$totalFraisFiche = $newFiche->getMontantValide();

/**
 * ETAT DE LA FICHE
 */
$status = $newFiche->getStatus();
$status = 'CR'; //créé
$disabled = ($status !== 'CR') ? 'disabled' : '';

include(__DIR__ . '/../vues/v_newFiche.php');
